/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/* ===== cardViewOverlay.css ============================================
  == Styles for Address Book dialogs.
  ======================================================================= */

@import url("chrome://messenger/skin/messenger.css");

@namespace html url("http://www.w3.org/1999/xhtml");

window {
  --lwt-header-image: none !important;
}

.input-inline {
  margin-inline-end: 0 !important;
}

/* ::::: Card Edit dialog ::::: */

#contactGrid {
  display: grid;
  grid-auto-flow: column;
}

.inputGrid {
  display: grid;
  grid-template-columns: auto 1fr;
  align-content: start;
  align-items: center;
}

.align-end {
  text-align: end;
}

.showingPhonetic .input-inline {
  max-width: 16ch;
}

#BirthMonth[value="-1"],
#BirthDay[value="-1"],
.placeholderOption {
  color: #888;
}

.YearWidth {
  width: 8ch;
}

.ZipWidth {
  max-width: 14ch !important;
}

.DepartmentWidth {
  max-width: 20ch !important;
}

/* ::::: List dialogs ::::: */

.menu-iconic-left,
menulist::part(icon) {
  -moz-context-properties: fill;
  fill: currentColor;
}

#addressingWidget {
  -moz-user-focus: none;
  width: 0;
}

.dummy-row,
.addressingWidgetItem {
  border: none !important;
  background-color: inherit !important;
  color: inherit !important;
  min-height: 30px;
}

.addressingWidgetItem:hover,
.autocomplete-richlistitem:hover {
  background-color: var(--in-content-item-hover, hsla(0, 0%, 50%, 0.3)) !important;
}

.textbox-addressingWidget {
  min-height: 30px;
  padding-inline: 5px;
  outline-offset: -2px;
}

.dummy-row-cell,
.addressingWidgetCell {
  border-bottom: 1px solid hsla(0, 0%, 50%, 0.3);
}

panel[type="autocomplete-richlistbox"] {
  border: 1px solid var(--in-content-box-border-color, ThreeDShadow);
}

panel[type="autocomplete-richlistbox"]::part(content) {
  border-width: 0;
}

.autocomplete-richlistbox {
  border-width: 0;
  border-radius: 0;
}

.autocomplete-richlistitem {
  padding-inline-start: 3px;
}

.person-icon {
  margin: 0 3px;
  list-style-image: url("chrome://messenger/skin/icons/contact.svg");
  -moz-context-properties: fill;
  fill: currentColor;
}

#photo {
  list-style-image: url("chrome://messenger/skin/addressbook/icons/contact-generic.svg");
  box-shadow: 0 0 5px rgba(127, 127, 127, 0.7);
}

#PhotoContainer {
  margin: 5px;
}

#PhotoDropTarget {
  margin-top: 5px;
}

#PhotoDropTarget:hover {
  border: 1px dashed hsla(0, 0%, 50%, 0.5);
}

#PhotoFile {
  background-position: 2px center;
  background-repeat: no-repeat;
  padding-inline-start: 20px;
}

#ProgressContainer {
  max-height: 0;
  transition: all .5s ease-out;
  overflow: hidden;
}
#ProgressContainer.expanded {
  margin-top: 10px;
  max-height: 40px; /* something higher than the actual height, but not too large */
}
